# setup-zola

This action sets up Zola static site generator in your GitHub Actions workflow.
It supports downloading Zola from any S3-compatible storage service.

## Usage

Basic usage:

```yaml
- uses: my-org/setup-zola@v1
  with:
    version: "0.19.2" # Optional, defaults to 0.19.2
    access_key: ${{ secrets.S3_ACCESS_KEY }} # Required
    secret_key: ${{ secrets.S3_SECRET_KEY }} # Required
    endpoint: "https://your-s3-endpoint.com" # Required
    bucket: ${{ secrets.S3_BUCKET }} # Required
```

## Example workflow

```yaml
name: Build with Zola
on: push

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - name: Setup Zola
        uses: my-org/setup-zola@v1
        with:
          version: "0.19.2"
          access_key: ${{ secrets.S3_ACCESS_KEY }}
          secret_key: ${{ secrets.S3_SECRET_KEY }}
          endpoint: "https://your-s3-endpoint.com"
          bucket: ${{ secrets.S3_BUCKET }}
      - name: Build site
        run: zola build
```

## License

MIT
